<?php
    $isMaster = $this->environment()->getClient()->isMaster();
?>

<ul class="breadcrumb">
    <li><a href="<?= $this->url('root') ?>"><?= $this->icon('home') ?></a></li>
    <li><?= $this->translate('analysis_module_title') ?></li>
    <li class="active"><?= $this->translate('analysis_convention_module_title') ?></li>
</ul>

<h1 class="page-title">
    <?= $this->icon('convention') ?> <?= $this->translate('analysis_convention_module_title') ?>
</h1>

<div class="row row-padding">
    <div class="col-xs-12">
        <ul class="nav nav-tabs">
            <li class="active">
                <a href="#conventions" data-toggle="tab" ng-click="tabConventionLoaded = tabConventionLoaded + 1">
                    <?= ucfirst($this->translate('convention_entities')) ?>
                </a>
            </li>
        </ul>
        <div class="panel">
            <div class="panel-body" ng-controller="conventionController as self" ng-init="self.init(<?= $this->environment()->getclient()->isMaster() ? 'true' : 'false' ?>)">
                <div class="tab-content">
                    <div class="tab-pane active" id="conventions">
                        <?= $this->partial('analysis/convention/partial/conventions.phtml') ?>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<?php
$this->angular('js/src/analysis/controller/convention.js');

$this->angular('js/src/application/query/service/query.js');

$this->angular('js/src/convention/service/convention.js');

$this->angular('js/src/user/directive/userSelect.js');
$this->angular('js/src/user/service/user.js');

$this->angular('js/src/map/directive/territorySelect.js');
$this->angular('js/src/map/service/territory.js');

$this->angular('js/src/directory/directive/structureSelect.js');
$this->angular('js/src/directory/service/structure.js');

$this->angular('js/src/keyword/service/keyword.js');
$this->angular('js/src/keyword/service/group.js');
$this->angular('js/src/keyword/directive/keywordSelect.js');
$this->angular('js/src/keyword/directive/groupSelect.js');

$this->angular('js/src/analysis/controller/convention/conventions.js');

